//
//  JJInputLengthLimit.swift
//  JJTextFile
//
//  Created by 刘俊杰 on 2017/10/16.
//  Copyright © 2017年 junjie.liu. All rights reserved.
//


/*
 输入长度限度扩展
*/

import UIKit
import Foundation

var maxLength = JJMaxLength()

extension UITextField {
    
    func textFieldNumberLimit(textField:UITextField, number:Int,delegate:Any)  {
        textField.addTarget(textField, action: #selector(textFieldDidChange(textField:)), for: .editingChanged)
        maxLength.maximumlength = number
    }

    @objc func textFieldDidChange(textField: UITextField) {
        let textFieldString = textField.text! as NSString
        let count = textFieldString.length
        if count >  maxLength.maximumlength {
            let markedRange = textField.markedTextRange
            if (markedRange != nil) {
                return
            }
            let range = textFieldString.rangeOfComposedCharacterSequence(at: maxLength.maximumlength)
            textField.text = (textField.text as NSString?)?.substring(to: range.location)
        }
    }
    
}
