//
//  JJTextFieldRegular.swift
//  JJTextFile
//
//  Created by 刘俊杰 on 2017/10/18.
//  Copyright © 2017年 junjie.liu. All rights reserved.
//

import UIKit

protocol JJTextFieldRegular {
}


extension JJTextFieldRegular {
    
    //身份证类型的正则判断
    func jj_checkUserIdCard(_ idCard: String) ->Bool {
        let regular = "(^[0-9]{15}$)|([0-9]{17}([0-9]|X)$)"
        let format = NSPredicate(format: "SELF MATCHES %@", regular)
        let result:Bool = format.evaluate(with: idCard)
        return result
    }
    
    //6到18位密码判断
    func jj_checkPassworld(_ passWord: String) ->Bool {
        let regular = "^(?![0-9]+$)(?![a-zA-Z]+$)[a-zA-Z0-9]{6,18}"
        let format = NSPredicate(format: "SELF MATCHES %@", regular)
        let result:Bool = format.evaluate(with: passWord)
        return result
    }
    
    //手机号码判断
    func jj_checkPhone(_ phone: String) ->Bool {
       let MOBIL = "^1(3[0-9]|5[0-35-9]|8[025-9])\\d{8}$"
       let CM = "^1(34[0-8]|(3[5-9]|5[017-9]|8[2378])\\d)\\d{7}$"
       let CU = "^1(3[0-2]|5[256]|8[56])\\d{8}$"
       let CT = "^1((33|53|8[019])[0-9]|349)\\d{7}$"
        let regextestmobile = NSPredicate(format: "SELF MATCHES %@", MOBIL)
        let regextestcm = NSPredicate(format: "SELF MATCHES %@", CM)
        let regextestcu = NSPredicate(format: "SELF MATCHES %@", CU)
        let regextestct = NSPredicate(format: "SELF MATCHES %@", CT)
        if regextestmobile.evaluate(with: phone)||regextestcm.evaluate(with: phone)||regextestcu.evaluate(with: phone)||regextestct.evaluate(with: phone) {
            return true
        }
        return false
    }
    
}
